Subject: Re: ncurses 4.2 builds, but gives problems with teTeX-0.4p8
To: None <>
From: Reinoud Zandijk <>
List: tech-pkg
Date: 08/11/1999 17:48:09
Hi folks,

I managed to get ncurses-4.2 working after deleting the old ncurses
1.9.9g. It was only used by teTeX and dialog, so I killed them both just
to be sure. How many program do use ncurses btw? 

> I ran into some compilation problems when I tried to compile ncurses
> 4.2, with the old ncurses (1.9.9g) package already installed on the
> machine - it picked up an out of date <curses.h> file, and that gave
> some compilation problems.

As stated above, I used your advice, thanks!. 

The only problem with teTeX-0.4p8 is that I'd had to us `pkg_add -f ' to
install it for it looked for ncurses-1.9.9g. Could this become a problem? 

Also, I ran the ncurses test programs and found them working ok except the
cursor keys... Since other programs like `vi' and `less' also have
problems with the cursorkeys, but not `bash'. I'm wondering if there may
be an installation fault in NetBSD/arm32. Can anybody shed a light on